{% extends 'base.html' %}

{% block content %}

    <div class="container">
        <div class="mx-auto">
            <div class="card">
                <h5 class="card-header">{{ gpu["key"]["name"] }}
                    {% if user_data %}
                        <a href="{{ url_for('editgpu', key=gpu["key"]["name"]) }}" ><img src="/static/edit.png" width="20px"></a>
                    {% endif %}
                </h5>
                <div class="card-body">
                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">General</button>
                        </li>
                        <li class="nav-item" role="presentation">
                            <button class="nav-link" id="pills-feature-tab" data-bs-toggle="pill" data-bs-target="#pills-feature" type="button" role="tab" aria-controls="pills-feature" aria-selected="false">Features</button>
                        </li>
                    </ul>
                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                            <table class="table">
                                <tbody>
                                <tr>
                                    <td>Name</td>
                                    <td>{{ gpu["key"]["name"] }}</td>
                                </tr>
                                <tr>
                                    <td>Manuefacturer</td>
                                    <td>{{ gpu["manuefacturer"] }}</td>
                                </tr>
                                <tr>
                                    <td>Date</td>
                                    <td>{{ gpu["date_issued"] }}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="tab-pane fade" id="pills-feature" role="tabpanel" aria-labelledby="pills-feature-tab">
                            <table class="table">
                                <tbody>
                                <tr>
                                    <td>geometryShader</td>
                                    <td>
                                        {% if gpu["geometryShader"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td>tesselationShader</td>
                                    <td>
                                        {% if gpu["tesselationShader"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td>shaderInt16</td>
                                    <td>
                                        {% if gpu["shaderInt16"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td>sparseBinding</td>
                                    <td>
                                        {% if gpu["sparseBinding"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td>textureCompressionETC2</td>
                                    <td>
                                        {% if gpu["textureCompressionETC2"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                <tr>
                                    <td>vertexPipelineStoresAndAtomics</td>
                                    <td>
                                        {% if gpu["vertexPipelineStoresAndAtomics"] %}
                                            <img src="/static/check.png" width="20px">
                                        {% else %}
                                            <img src="/static/cross.png" width="20px">
                                        {% endif %}
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

{% endblock %}